<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" omit-xml-declaration="yes"/>

<!-- strip all spaces -->
<xsl:strip-space elements="item" />
<!-- accept page name variable from web page -->
<xsl:param name="this_page" />
  
 
<xsl:template match="items">    
   <xsl:for-each select="//item[link = $this_page]">
       <xsl:call-template name="list" />
    </xsl:for-each>        
</xsl:template>
 
 

<xsl:template name="list">

<!-- create div -->
<div class="context-nav">

 <!-- add list -->
 <ul>
 
 
 <!-- if home page  -->                    
 <xsl:if test="/items/item/link = $this_page">
   
   <li class="current home">
    <!-- home page -->
    <strong><xsl:value-of select="title" /></strong>
    <!-- end home page -->     
    
     <ul>     
       <!-- output primary gallery pages -->            
       <xsl:for-each select="/items/item/item [not(type = 'utility')]"> 
        <li>
         <a>       
          <xsl:attribute name="href">
          <xsl:value-of select="link" /></xsl:attribute>
          <xsl:value-of select="title" /> 
          </a>
         </li>
       
       </xsl:for-each> 
       <!-- end output primary gallery pages -->   
      </ul> 
    
    </li> 
 
   
 </xsl:if>
 <!-- end if home page -->
 
 
 
 
 
 <!-- if page is primary gallery -->                    
 <xsl:if test="/items/item/item/link = $this_page">
            
  <li>
    <!-- home page -->
    <a class="home">       
      <xsl:attribute name="href">
      <xsl:value-of select="/items/item/link" /></xsl:attribute>
      <xsl:value-of select="/items/item/title" /> 
    </a>    
    <!-- end home page -->    
                     
     <ul>
     
       <!-- output primary gallery pages -->            
       <xsl:for-each select="/items/item/item [not(type = 'utility')]">                     
                     
         <xsl:choose>
           <!-- when it is the current page -->
           <xsl:when test="link = $this_page">                         
             <li class="current">                          
               <strong><xsl:value-of select="title" /></strong>                           
                
                <!-- if the current page has children -->
                <xsl:if test="item">
                 <ul>
                   <xsl:for-each select="item">       
                     <li>                       
                       <a>       
                        <xsl:attribute name="href">
                        <xsl:value-of select="link"/></xsl:attribute>
                        <xsl:value-of select="title" /> 
                       </a>        
                      </li>
                     </xsl:for-each>      
                    </ul>                             
                 </xsl:if> 
                 <!-- end if the current page has children -->
                                             
                </li>     
            </xsl:when>
            <!-- end when it is the current page -->
            
            <!-- otherwise output sibling page -->
            <xsl:otherwise>
             <li>
              <a>       
                <xsl:attribute name="href">
                <xsl:value-of select="link" /></xsl:attribute>
                <xsl:value-of select="title" /> 
               </a>
             </li>                         
            </xsl:otherwise>
            <!-- end otherwise output sibling page -->
            
          </xsl:choose>
                      
        </xsl:for-each>
        <!-- end output primary gallery pages --> 
     </ul>  
                               
   </li> 
                     
  </xsl:if>
          
          
  <!-- if page is secondary gallery -->
  <xsl:if test="/items/item/item/item/link = $this_page">
             
    <li>
    <!-- home page -->    
    <a class="home">       
      <xsl:attribute name="href">
      <xsl:value-of select="/items/item/link" /></xsl:attribute>
      <xsl:value-of select="/items/item/title" /> 
    </a>   
    <!-- end home page -->    
                     
     <ul>
       
      <!-- output primary gallery pages -->
      <xsl:for-each select="/items/item/item [not(type = 'utility')]"> 
                   
       <li>         
        <a>       
         <xsl:attribute name="href">
         <xsl:value-of select="link"/></xsl:attribute>
         <xsl:value-of select="title" /> 
        </a> 
        
        <!-- if current page belongs to this primary gallery page -->
        <xsl:if test="item/link = $this_page">
                        
          <ul>
          <!-- output current page and siblings-->
           <xsl:for-each select="item">                            
             
             <xsl:choose>
              <!-- when it is the current page -->
              <xsl:when test="link = $this_page">
                                
                <!-- output current page -->
                <li class="current">
                 <strong><xsl:value-of select="title" /></strong> 
                                  
                 <!-- if the current page has children -->
                  <xsl:if test="item">
                    <ul>
                     <xsl:for-each select="item">       
                       <li>                      
                        <a>       
                         <xsl:attribute name="href">
                         <xsl:value-of select="link"/></xsl:attribute>
                         <xsl:value-of select="title" /> 
                        </a>        
                       </li>
                      </xsl:for-each>      
                    </ul>                             
                   </xsl:if>
                   <!-- end if the current page has children -->
                                  
                  </li>
                  <!-- end output current page -->
                              
                 </xsl:when>
                 <!-- end when it is the current page -->
                              
                 <!-- otherwise output sibling page -->            
                 <xsl:otherwise>
                   <li>
                    <a>       
                     <xsl:attribute name="href">
                     <xsl:value-of select="link" /></xsl:attribute>
                     <xsl:value-of select="title" /> 
                    </a>
                   </li>                              
                  </xsl:otherwise> 
                  <!-- end otherwise output sibling page -->              
                                              
                </xsl:choose> 
             </xsl:for-each>
             <!-- end output current page and siblings-->
             
             </ul>
            </xsl:if>
            <!-- end if current page belongs to this primary gallery page -->
                      
           </li>  
          </xsl:for-each>                  
          <!-- end output primary gallery pages -->          
                                          
         </ul>                 
        </li>      
  </xsl:if>
  <!-- end if page is secondary gallery -->
          
          
  <!-- if page is level 1 -->
  <xsl:if test="/items/item/item/item/item/link = $this_page">
    
    <li>
     <!-- home page -->
      <a class="home">       
       <xsl:attribute name="href">
       <xsl:value-of select="/items/item/link" /></xsl:attribute>
       <xsl:value-of select="/items/item/title" /> 
      </a>
     <!-- end home page -->
     
      <ul>
           
       <!-- output primary gallery pages -->            
       <xsl:for-each select="/items/item/item [not(type = 'utility')]">
        <li>         
         <a>       
          <xsl:attribute name="href">
          <xsl:value-of select="link"/></xsl:attribute>
          <xsl:value-of select="title" /> 
         </a>
        
        
          <!-- if current page belongs to this primary gallery page -->
          <xsl:if test="item/item/link = $this_page">
            
           <ul>
           
           <!-- output secondary gallery pages for current page -->           
           <xsl:for-each select="item">
            <li>                      
             <a>       
              <xsl:attribute name="href">
              <xsl:value-of select="link"/></xsl:attribute>
              <xsl:value-of select="title" /> 
              </a>
              
              <!-- if current page belongs to this secondary gallery page -->
              <xsl:if test="item/link = $this_page">
              
               <ul>
               <!-- output current page and siblings-->
                <xsl:for-each select="item">
                 
                 <xsl:choose>
                  <!-- when it is the current page -->
                  <xsl:when test="link = $this_page">
                                
                  <!-- output current page -->
                   <li class="current">
                    <strong><xsl:value-of select="title" /></strong>
                                  
                    <!-- if the current page has children -->
                    <xsl:if test="item">
                     <ul>
                      <xsl:for-each select="item">       
                       <li>                      
                        <a>       
                         <xsl:attribute name="href">
                         <xsl:value-of select="link"/></xsl:attribute>
                         <xsl:value-of select="title" /> 
                        </a>        
                       </li>
                      </xsl:for-each>      
                    </ul>                             
                   </xsl:if>
                   <!-- end if the current page has children -->
                                  
                  </li>
                  <!-- end output current page -->
                              
                 </xsl:when>
                 <!-- end when it is the current page -->
                              
                 <!-- otherwise output sibling page -->            
                 <xsl:otherwise>
                   <li>
                    <a>       
                     <xsl:attribute name="href">
                     <xsl:value-of select="link" /></xsl:attribute>
                     <xsl:value-of select="title" /> 
                    </a>
                   </li>                              
                  </xsl:otherwise> 
                  <!-- end otherwise output sibling page -->              
                                              
                </xsl:choose>                 
                 
               </xsl:for-each>
               <!-- end output secondary gallery pages for current page --> 
                
                
               </ul>
              
              </xsl:if>
              <!-- end if current page belongs to this primary gallery page -->
              
                      
            </li>            
           </xsl:for-each>       
           <!-- end output secondary gallery pages -->
           </ul>          
          </xsl:if>
        
         
        </li>
       </xsl:for-each>
       <!-- end output primary gallery pages -->
      
      </ul>
     
     
     
     
    </li>     
  </xsl:if>
  <!-- end if page is level 1 -->       
          
       
   </ul>

</div>
<!-- end create div -->


</xsl:template>









</xsl:stylesheet>